| Home | Libraries | People | FAQ | More

##### static_url::remove_authority

Remove the authority.

###### Synopsis

    static_url&
    remove_authority();

###### Description

This function removes the authority, which includes the userinfo, host, and a port if present.

###### Example

    assert( url( "http://example.com/echo.cgi" ).remove_authority().buffer() == "http:/echo.cgi" );

###### Postconditions

    this->has_authority() == false && this->has_userinfo() == false && this->has_port() == false

###### Complexity

Linear in `this->size()`.

###### Exception Safety

Throws nothing.

###### BNF

    authority     = [ userinfo "@" ] host [ ":" port ]

    userinfo      = *( unreserved / pct-encoded / sub-delims / ":" )
    host          = IP-literal / IPv4address / reg-name
    port          = *DIGIT

###### Specification

- 3.2. Authority (rfc3986)

###### See Also

/root/project/libs/url/include/boost/url/static_url.hpp